package com.fuyuanshen.customer.constant;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 数组相关常量
 *
 * @author: 默苍璃
 * @date: 2025-07-0710:10
 */
public class ArrayConstants {

    /**
     * 默认长整型数组
     */
    public static final Long[] DEFAULT_LONG_ARRAY = {666L};
    public static final Long DEFAULT_LONG = 666L;

    /**
     * 空字符串数组
     */
    public static final String[] EMPTY_STRING_ARRAY = new String[0];

    /**
     * 获取只读的默认长整型列表
     */
    public static List<Long> getDefaultLongList() {
        return Collections.unmodifiableList(new ArrayList<>(List.of(DEFAULT_LONG_ARRAY)));
    }


}
