package com.fuyuanshen.equipment.excel;

import com.fuyuanshen.customer.mapper.CustomerMapper;
import com.fuyuanshen.equipment.mapper.DeviceMapper;
import com.fuyuanshen.equipment.mapper.DeviceTypeMapper;
import com.fuyuanshen.equipment.service.DeviceService;
import com.fuyuanshen.system.service.ISysOssService;
import lombok.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author: 默苍璃
 * @date: 2025-06-1414:56
 */
@AllArgsConstructor
@NoArgsConstructor(force = true)
@Getter
@Setter
@Builder
public class DeviceImportParams {

    private DeviceService deviceService;
    private DeviceMapper deviceMapper;
    private CustomerMapper customerMapper;
    private DeviceTypeMapper deviceTypeMapper;
    private ISysOssService ossService;
    private MultipartFile file;
    private String filePath;
    private String ip;
    private String username;
    private Long userId;
    private String tenantId;

}
