package com.fuyuanshen.equipment.domain;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fuyuanshen.common.tenant.core.TenantEntity;
import lombok.Data;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/24
 **/
@Data
@TableName("device_log")
public class DeviceLog extends TenantEntity {

    @TableId(value = "id", type = IdType.AUTO)
    // @Schema(value = "ID")
    private Long id;

    // @Schema(value = "设备行为")
    private String deviceAction;

    // @Schema(value = "设备名称")
    private String deviceName;

    // @Schema(value = "数据来源")
    private String dataSource;

    // @Schema(value = "内容")
    private String content;

    public void copy(DeviceLog source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }

}
